<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <h:head>
        <f:facet name="first">
            <h:outputStylesheet library="css" name="jsfcrud.css"/>
            <h:outputScript library="js" name="jsfcrud.js" target="head"/>
            <link rel="shortcut icon" href="../Recursos/Imagenes/logoSena.png"></link>
            <link rel="shortcut icon" href="Recursos/Imagenes/logoSena.png"></link>
            <title>Gestor de ambientes 360 SENA</title>
        </f:facet>
    </h:head>
    <h:body >
        <p:growl id="growl" life="9000" autoUpdate="true"/>
        <p:layout fullPage="true">

            <p:layoutUnit id="northRegistro" position="north" header="Gestor de ambientes 360 SENA" rendered="#{sessionBean.activa}" style="height: 88px;">
                <ui:include src="/componentes/menuregistro.xhtml"/>
            </p:layoutUnit>

            <p:layoutUnit id="northGeneral" position="north" header="Gestor de ambientes 360 SENA" rendered="#{!sessionBean.activa}" style="height: 88px;">
                <ui:include src="/componentes/menugeneral.xhtml"/>
            </p:layoutUnit>

            <p:layoutUnit position="east" size="350" header="Principal" collapsible="true" >
                <p:panel rendered="#{!sessionBean.activa}">
                    <ui:include src="/web/usuarios/iniciarSesion.xhtml"  />
                </p:panel>
                <h:form >     
                    <p:menu>
                        <p:submenu label="General">
                            <p:menuitem value="Inicio" outcome="/index" icon="ui-icon-home"/>
                            <p:menuitem value="Contactenos" outcome="/componentes/contactenos.xhtml" icon="ui-icon-home"/>
                            <p:menuitem  value="Cerrar sesión"  action="#{loggin.cerrarSesion()}" rendered="#{sessionBean.activa}"  icon="ui-icon-disk" />

                        </p:submenu>
                    </p:menu>
                </h:form>
            </p:layoutUnit>

            <p:layoutUnit position="center" >
                <p:layout >
                    <p:layoutUnit position="center" >
                        <ui:insert name="body">
                            Body
                        </ui:insert> 
                        <ui:insert name="visorNotias" >
                            <ui:include src="/web/noticias/visorNoticias.xhtml" />
                             <ui:include src="/componentes/piePagina.xhtml" />
                        </ui:insert>
                    </p:layoutUnit>    
                    
                </p:layout>  

            </p:layoutUnit>
           

        </p:layout>
    </h:body>

</html>
